Package: org.gradle.api

## [Java] Interface XmlProvider

- Provides various ways to access the content of an XML document.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Element` | `asElement()` Returns the XML document as a DOM Element.
    `groovy.util.Node` | `asNode()` Returns the XML document as a Groovy groovy.util.Node.
    `StringBuilder` | `asString()` Returns the XML document as a StringBuilder.

- - ### Method Detail

    - #### public Element asElement()

      Returns the XML document as a DOM Element. Changes to the returned instance will be applied to the XML. The returned instance is only valid until one of the other methods on this interface are called.

      Returns:
        An `Element` representation of the XML.

    - #### public groovy.util.Node asNode()

      Returns the XML document as a Groovy groovy.util.Node. Changes to the returned instance will be applied to the XML. The returned instance is only valid until one of the other methods on this interface are called.

      Returns:
        A `Node` representation of the XML.

    - #### public StringBuilder asString()

      Returns the XML document as a StringBuilder. Changes to the returned instance will be applied to the XML. The returned instance is only valid until one of the other methods on this interface are called.

      Returns:
        A `StringBuilder` representation of the XML.